#!/usr/bin/env bash

DEFAULT_SIZE="1920x1010"
XFREERDP='xfreerdp'

if [ "$SIZE" = "" ]; then SIZE="$DEFAULT_SIZE"; fi
$XFREERDP /size:$SIZE \
          /kbd:0x0000040E \
          +home-drive \
          +drive:tmp,/tmp \
          +clipboard \
          /gdi:hw \
          +fonts \
          -wallpaper \
          +aero \
          /u:tormakris \
          /dynamic-resolution \
          +window-drag \
          +sec-nla \
          /audio-mode:local \
          /bpp:16 \
          /compression \
          "$@"
